## API Report File for "@fluentui/react-tabster"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import type { GriffelStyle } from '@griffel/react';
import * as React_2 from 'react';
import type { RefObject } from 'react';
import { Types } from 'tabster';

// @internal (undocumented)
export function applyFocusVisiblePolyfill(scope: HTMLElement, win: Window): () => void;

// @public
export const createCustomFocusIndicatorStyle: (style: GriffelStyle, { selector, enableOutline, }?: CreateCustomFocusIndicatorStyleOptions) => GriffelStyle;

// @public (undocumented)
export interface CreateCustomFocusIndicatorStyleOptions {
    enableOutline?: boolean;
    // (undocumented)
    selector?: 'focus' | 'focus-within';
}

// @public
export const createFocusOutlineStyle: ({ selector, style, }?: CreateFocusOutlineStyleOptions) => GriffelStyle;

// @public (undocumented)
export interface CreateFocusOutlineStyleOptions extends CreateCustomFocusIndicatorStyleOptions {
    // (undocumented)
    style?: Partial<FocusOutlineStyleOptions>;
}

// @public (undocumented)
export type FocusOutlineOffset = Record<'top' | 'bottom' | 'left' | 'right', string>;

// @public (undocumented)
export type FocusOutlineStyleOptions = {
    outlineRadius: string;
    outlineColor: string;
    outlineWidth: string;
    outlineOffset?: string | FocusOutlineOffset;
};

// @public
export const useArrowNavigationGroup: (options?: UseArrowNavigationGroupOptions) => Types.TabsterDOMAttribute;

// @public (undocumented)
export interface UseArrowNavigationGroupOptions {
    axis?: 'vertical' | 'horizontal' | 'grid' | 'both';
    circular?: boolean;
    ignoreDefaultKeydown?: Types.FocusableProps['ignoreKeydown'];
    memorizeCurrent?: boolean;
    tabbable?: boolean;
}

// @public
export const useFocusableGroup: (options?: UseFocusableGroupOptions | undefined) => Types.TabsterDOMAttribute;

// @public (undocumented)
export interface UseFocusableGroupOptions {
    tabBehavior?: 'unlimited' | 'limited' | 'limited-trap-focus';
}

// @public
export const useFocusFinders: () => {
    findAllFocusable: (container: HTMLElement, acceptCondition?: ((el: HTMLElement) => boolean) | undefined) => HTMLElement[];
    findFirstFocusable: (container: HTMLElement) => HTMLElement | null | undefined;
    findLastFocusable: (container: HTMLElement) => HTMLElement | null | undefined;
    findNextFocusable: (currentElement: HTMLElement, options?: Pick<Types.FindNextProps, 'container'>) => HTMLElement | null | undefined;
    findPrevFocusable: (currentElement: HTMLElement, options?: Pick<Types.FindNextProps, 'container'>) => HTMLElement | null | undefined;
};

// @public (undocumented)
export function useFocusVisible<TElement extends HTMLElement = HTMLElement>(): React_2.RefObject<TElement>;

// @public
export function useFocusWithin<TElement extends HTMLElement = HTMLElement>(): React_2.RefObject<TElement>;

// @public
export function useKeyboardNavAttribute<E extends HTMLElement>(): RefObject<E>;

// @public
export const useModalAttributes: (options?: UseModalAttributesOptions) => {
    modalAttributes: Types.TabsterDOMAttribute;
    triggerAttributes: Types.TabsterDOMAttribute;
};

// @public (undocumented)
export interface UseModalAttributesOptions {
    alwaysFocusable?: boolean;
    legacyTrapFocus?: boolean;
    trapFocus?: boolean;
}

// @internal
export const useTabsterAttributes: (props: Types.TabsterAttributeProps) => Types.TabsterDOMAttribute;

// (No @packageDocumentation comment for this package)

```
